clear all, close all, clc;
folderpath='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_2\';
name={'AmericaE_2'}
name=string(name);

%% Setup the Import Options and import the data

filename=strcat(folderpath ,name(1),'.csv');
opts = delimitedTextImportOptions("NumVariables", 13);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "eltot", "elwet", "name", "roi_code", "state", "varArea500", "varAreaRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "string", "double", "double", "categorical", "string", "categorical", "double", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
G_E_2 = readtable(filename, opts);

for i=2:length(name)
%% Setup the Import Options and import the data
filename=strcat(folderpath,name(i),'.csv');
% Import the data
G_E_2_temp = readtable(filename, opts);
 G_E_2=vertcat(G_E_2,G_E_2_temp);



end
clear opts G_E_2_temp name i filename


% FFRmax=GCP_E_2.max;
% FFRmean=GCP_E_2.mean;
% match = ["[","]"];
% FFRmax = erase(FFRmax,match);
% FFRmean =erase(FFRmean,match);
% 
% FFRmaxtable=zeros(length(GCP_E_2.max),7);
% FFRmeantable=zeros(length(GCP_E_2.mean),7);
% 
% for i=1:length(GCP_E_2.max)
%     
% FFRmaxcell(i)= textscan(FFRmax(i), '%f', 'Delimiter',',' );
% FFRmeancell(i)= textscan(FFRmean(i), '%f', 'Delimiter',',' );
% FFRmaxtable(i,:)= cell2mat(FFRmaxcell(i));
% FFRmeantable(i,:)= cell2mat(FFRmeancell(i));
% end
% clear FFRmaxcell FFRmeancell i
% 
% FFRmaxtable= array2table(FFRmaxtable,'VariableNames',{'Max_DOF','Max_DOR','Max_SED','Max_USE','Max_RDD','Max_URB','Max_CSI'});
% FFRmeantable= array2table(FFRmeantable,'VariableNames',{'Mean_DOF','Mean_DOR','Mean_SED','Mean_USE','Mean_RDD','Mean_URB','Mean_CSI'});
% 
% GCP_E_2=[GCP_E_2, FFRmaxtable, FFRmeantable];

writetable(G_E_2,'Results_E_2.xlsx');
