clear all, close all, clc;
folderpath='E:\OneDrive - Politecnico di Torino\Carbon sequestration\Analisi dati carbonio\Analisi4\PostProcessing\GEE_Results\Results_6\';
name={'AmericaE_6'}
name=string(name);
%% Setup the Import Options and import the data

filename=strcat(folderpath ,name(1),'.csv');
%% Setup the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 12);

% Specify range and delimiter
opts.DataLines = [2, Inf];
opts.Delimiter = ",";

% Specify column names and types
opts.VariableNames = ["systemindex", "AreaLoss", "OBJECTID", "Shape_Area", "Shape_Leng", "code", "name", "roi_code", "state", "varLoss500", "varLossRS", "geo"];
opts.VariableTypes = ["double", "double", "double", "double", "double", "string", "categorical", "string", "categorical", "double", "double", "string"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "geo", "WhitespaceRule", "preserve");
opts = setvaropts(opts, ["name", "state", "geo"], "EmptyFieldRule", "auto");

% Import the data
EMCE_E_6 = readtable(filename, opts);



for i=2:length(name)
%% Setup the Import Options and import the data
filename=strcat(folderpath,name(i),'.csv');

% Import the data
EMCE_E_6_temp = readtable(filename, opts);
 EMCE_E_6=vertcat(EMCE_E_6,EMCE_E_6_temp);



end
clear opts EMCE_E_6_temp name i filename

writetable(EMCE_E_6,'Results_E_6.xlsx');
